Subject: Re: [Detnet] Data Plane IP, OAM section

From: Greg Mirsky <[email-masked]>
Date: Mon, 8 Jul 2019 10:50:38 -0700

Hi Loa,
thank you for highlighting DetNet OAM issues and apologize for the delay to
respond.

Dear All,
Mach and I have discussed the new drafts on DetNet data plane and decided
to split draft-mirsky-detnet-oam into two documents:

   - draft-mirsky-detnet-mpls-oam
   <https://datatracker.ietf.org/doc/draft-mirsky-detnet-mpls-oam/>
   - draft-mirsky-detnet-ip-oam
   <https://datatracker.ietf.org/doc/draft-mirsky-detnet-ip-oam/>

Will be asking for presentation slots in Montreal. Always appreciate
comments, suggestions, and questions.

Regards,
Greg

On Wed, May 22, 2019 at 3:10 PM Loa Andersson <[email-masked]> wrote:

> Bala'zs,
>
> The draft is expired, that is why it is not shown on the detnet page.
> Normally  that is a sign that the interest is not that high.
>
> Andy,
>
> Yes - you are right, but the difference between what we are doing for
> the MPLS data plane and for the IP data plane was one reason that I
> asked. Also when checking the draft-mirsky it has a strong MPLS leaning.
> What was removed from the data plane draft was (the little we have) on
> IP OAM. draft-mirsky does not add much compared to that.
>
> Greg,
>
> Please revive the draft, even if you do no other changes, we need it
> active. That said I'm not sure that we want ONE draft covering both
> MPLS and IP OAM, it is normally a recipe for delay.
>
> All,
>
> Once the draft-mirsky is active again, let us decide what we want to do.
> I see two alternatives
>
> First, build on draft-mirsky and create one draft for everything.
>
> Second, break the IP OAM out of draft-mirsky and start a new draft for
> DetNet IP OAM and base the DetNet MPLS OAM in draft-mirsky.
>
> I have a slight preference for the second alternative.
>
> But make it a wg decision.
>
> /Loa
>
> On 2019-05-22 01:39, Greg Mirsky wrote:
> > Hi Balazs,
> > thank you for pointing to the OAM for DetNet draft. It lapsed and that
> > may be why is not showing up among other DetNet documents. Mach and I
> > will work on adding OAM for DetNet over IP data plane. I think it would
> > be good to use this document for discussion, the definition of OAM for
> > DetNet over all possible data plane variants. We welcome cooperation and
> > co-authors.
> >
> > Regards,
> > Greg
> >
> > On Tue, May 21, 2019 at 1:43 AM Balázs Varga A
> > <[email-masked] <mailto:[email-masked]>>
> wrote:
> >
> >     Hi Loa,
> >
> >     We have a dedicated OAM document:
> >     https://tools.ietf.org/html/draft-mirsky-detnet-oam-02
> >
> >     Unfortunately not showed among the DetNet documents :--(((
> >     https://datatracker.ietf.org/group/detnet/documents/
> >
> >     Cheers
> >     Bala'zs
> >
> >     -----Original Message-----
> >     From: detnet <[email-masked]
> >     <mailto:[email-masked]>> On Behalf Of Loa Andersson
> >     Sent: Tuesday, May 21, 2019 8:54 AM
> >     To: Andrew G. Malis <[email-masked] <mailto:[email-masked]>>;
> >     Balázs Varga A <[email-masked]
> >     <mailto:[email-masked]>>
> >     Cc: [email-masked] <mailto:[email-masked]>
> >     Subject: Re: [Detnet] Data Plane IP, OAM section
> >
> >     Bala’zs and Andy,
> >
> >     I have no problem removing the OAM section from the data plane
> >     documents.
> >
> >     The question I have is what do we do about the OAM for the specific
> >     data planes, do we paln separate documents??
> >
> >     /Loa
> >
> >     On 2019-05-21 00:54, Andrew G. Malis wrote:
> >      > Balázs,
> >      >
> >      > Sounds good, it's just a placeholder right now.
> >      >
> >      > Cheers,
> >      > Andy
> >      >
> >      >
> >      > On Mon, May 20, 2019 at 11:20 AM Balázs Varga A
> >      > <[email-masked] <mailto:[email-masked]>
> >     <mailto:[email-masked]
> >     <mailto:[email-masked]>>> wrote:
> >      >
> >      >     Hi,____
> >      >
> >      >     __ __
> >      >
> >      >     Data plane documents are under review to prepare them for the
> >      >     workgroup last call.____
> >      >
> >      >     OAM section is intended to be removed from the “DetNet Data
> >     Plane:
> >      >     IP” document.____
> >      >
> >      > https://datatracker.ietf.org/doc/draft-ietf-detnet-ip/____
> >      >
> >      >     __ __
> >      >
> >      >     Any objections?____
> >      >
> >      >     __ __
> >      >
> >      >     Cheers____
> >      >
> >      >     Bala’zs____
> >      >
> >      >     __ __
> >      >
> >      >     _______________________________________________
> >      >     detnet mailing list
> >      > [email-masked] <mailto:[email-masked]> <mailto:[email-masked]
> >     <mailto:[email-masked]>>
> >      > https://www.ietf.org/mailman/listinfo/detnet
> >      >
> >      >
> >      > _______________________________________________
> >      > detnet mailing list
> >      > [email-masked] <mailto:[email-masked]>
> >      > https://www.ietf.org/mailman/listinfo/detnet
> >      >
> >
> >     --
> >
> >
> >     Loa Andersson                        email: [email-masked] <mailto:
> [email-masked]>
> >     Senior MPLS Expert
> >     Bronze Dragon Consulting             phone: +46 739 81 21 64
> >
> >     _______________________________________________
> >     detnet mailing list
> >     [email-masked] <mailto:[email-masked]>
> >     https://www.ietf.org/mailman/listinfo/detnet
> >     _______________________________________________
> >     detnet mailing list
> >     [email-masked] <mailto:[email-masked]>
> >     https://www.ietf.org/mailman/listinfo/detnet
> >
> >
> > _______________________________________________
> > detnet mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/detnet
> >
>
> --
>
>
> Loa Andersson                        email: [email-masked]
> Senior MPLS Expert
> Bronze Dragon Consulting             phone: +46 739 81 21 64
>